package dfatool.values;

public class BoolValue implements Value{

	Boolean value;
	
	public BoolValue(boolean i) {
		this.value = i;
	}

	public Boolean getValue(){
		return value;
	}
	@Override
	public boolean equals(Object o) {
		if(o instanceof BoolValue){
			BoolValue s = (BoolValue) o;
			return value.equals(s.getValue());
		}else{
			return value.equals(o);			
		}
	}
	
	@Override
	public int hashCode() {
		return value.hashCode();
	}
	
	@Override
	public java.lang.String toString() {
		return Boolean.toString(value);
	}

}
